Anonymous Login
2019-08-22 18:48 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001153v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001153: bug in w2p_utilities_mail:SendSeparatelyTo($to = array())
Description1) this function calls ClearAttachments(), the send() does not. Why would we want to clear attachments that we previously decided to attach?
2) Unfortunate handling of the param ($to = array()):
if $to is array, we replace ato by $to. Rather, we should add $to to ato, or at least give debug warning. Otherwise, we overwrite addresses previously added as recipients.

Klaus
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002596

caseydk (administrator)

Resolved for v3
Patch available here: https://github.com/caseysoftware/web2project/commit/d44a660ab18ff7035254d960582f32b439f6894a
+Notes

-Issue History
Date Modified Username Field Change
2012-06-20 08:48 opto New Issue
2012-07-14 19:48 caseydk Note Added: 0002596
2012-07-14 19:48 caseydk Status new => resolved
2012-07-14 19:48 caseydk Resolution open => fixed
2012-07-14 19:48 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History